CMCPublicationInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmc

## Class CMCPublicationInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.CMCPublicationInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CMCPublicationInfo
      extends ASN1Object

            CMCPublicationInfo ::= SEQUENCE {
                 hashAlg                      AlgorithmIdentifier,
                 certHashes                   SEQUENCE OF OCTET STRING,
                 pubInfo                      PKIPublicationInfo
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMCPublicationInfo(AlgorithmIdentifier hashAlg, byte[][] anchorHashes, PKIPublicationInfo pubInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[][]` | `getCertHashes()`
    `AlgorithmIdentifier` | `getHashAlg()`
    `static CMCPublicationInfo` | `getInstance(java.lang.Object o)`
    `PKIPublicationInfo` | `getPubInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMCPublicationInfo

          public CMCPublicationInfo(AlgorithmIdentifier hashAlg,
                                    byte[][] anchorHashes,
                                    PKIPublicationInfo pubInfo)

  - ### Method Detail

    - #### getInstance

          public static CMCPublicationInfo getInstance(java.lang.Object o)

    - #### getHashAlg

          public AlgorithmIdentifier getHashAlg()

    - #### getCertHashes

          public byte[][] getCertHashes()

    - #### getPubInfo

          public PKIPublicationInfo getPubInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.